import React from 'react';
const ref = React.createRef();
/**
 * @刘丹: 横向滚动
 */
class Scroll extends React.Component {
  constructor() {
    super();
    this.state = {
      isScroll: false,
    };
  }
  componentDidMount() {
    if (ref.current) {
      this.setState({
        isScroll: ref.current.offsetWidth > ref.current.parentNode.offsetWidth,
      });
    }
  }
  componentDidUpdate(prev) {
    if (prev.text !== this.props.text && ref.current) {
      this.setState({
        isScroll: ref.current.offsetWidth > ref.current.parentNode.offsetWidth,
      });
    }   
  }
  render() {
    return (
      <div ref={ ref }>
        <div className={this.state.isScroll
          ? this.props.isFast ? 'marquee fast' : 'marquee'
          : ''}
        >
          {this.props.text}
        </div>
     </div>
    );
  }
}

export default Scroll;
